Simplex Class Reference

Multi-dimensional simplex class. More...

`#include <ql/math/optimization/simplex.hpp>`

Inheritance diagram for Simplex:
[legend]

## Public Member Functions

| Simplex (Real lambda)
virtual EndCriteria::Type | minimize (Problem &P, const EndCriteria &endCriteria)
| minimize the optimization problem P

## Detailed Description

Multi-dimensional simplex class.

## Constructor & Destructor Documentation

Simplex | ( | Real | lambda | ) |

Constructor taking as input the characteristic length